Bug 60451 - gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O1" fails
gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O1" fails
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-02-27 16:30 EST by Christopher Holmes
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-24 17:59:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-02-27 16:30:07 EST
Description of Problem:

	gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O1" fails

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:

1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/gcc.log

Actual Results:

Executing on host:
-w  -O1  -ffloat-store  -lm   -o
(timeout = 300)
PASS: gcc.c-torture/execute/ieee/20000320-1.c compilation,  -O1 
FAIL: gcc.c-torture/execute/ieee/20000320-1.c execution,  -O1 

Expected Results:

PASS: gcc.c-torture/execute/ieee/20000320-1.c execution,  -O1 

Additional Information:

	expected results achieved on intel RedHat7.2
	may be related to bug#60450
Comment 1 Jakub Jelinek 2002-02-27 16:38:58 EST
If a single test fails at multiple optimization levels, it is very likely
the same bug (especially if the error messages are the same or if it ICEs
in the same place). I think the best would be if you just listed
all failing testcases in one bug report (but it is up to
Beth Uptagrafft), but certainly at most one bug id for each single test.
Comment 2 Christopher Holmes 2002-02-28 11:55:59 EST
I was thinking about reported these types of bugs in groups, but these
particular test results did not provide any clue as to whether or not they were
related. However, it's probably easier to just group them, so I'll start
grouping them until I hear differently from Beth.

To finish out this test, "-O3 -fssa" and "-Os" failed also.

Note You need to log in before you can comment on or make changes to this bug.